Package: libattean-perl
Version: 0.017-1
Severity: important

Dear Maintainer,

I found a bug in Attean versions up to 0.018, that had a pretty
trivial fix. The upstream bug is here:
https://github.com/kasei/attean/pull/119
It has been fixed upstream in 0.019, and I hope that the new version
can be uploaded pretty quick.

The longer story is that the RDF 1.1 spec invents a datatype for
all strings that have a language tag. And that's a lot of potential
strings that will not be recognized by consumers of RDF that is
generated by Attean. The impact is potentially large, therefore, I
have set the severity to important.

Cheers,

Kjetil

-- System Information:
Debian Release: 9.3
  APT prefers stable
  APT policy: (800, 'stable'), (500, 'stable-updates')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.9.0-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL 
set to en_US.UTF-8), LANGUAGE=en_US:en (charmap=UTF-8) (ignored: LC_ALL set to 
en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages libattean-perl depends on:
ii  libalgorithm-combinatorics-perl        0.27-2+b2
ii  libdatetime-format-w3cdtf-perl         0.06-1
ii  libfile-slurp-perl                     9999.19-6
ii  libhttp-negotiate-perl                 6.00-2
ii  libiri-perl                            0.006-3
ii  libjson-perl                           2.90-1
ii  liblist-moreutils-perl                 0.416-1+b1
ii  libmath-cartesian-product-perl         1.009-1
ii  libmodule-pluggable-perl               5.2-1
ii  libmoo-perl                            2.002005-1
ii  libmoose-perl                          2.1807-1
ii  libmoox-log-any-perl                   0.004004-1
ii  libnamespace-clean-perl                0.27-1
ii  libossp-uuid-perl                      1.6.2-1.5+b4
ii  librole-tiny-perl                      2.000005-1
ii  libscalar-list-utils-perl              1:1.47-1
ii  libset-scalar-perl                     1.29-2
ii  libsub-install-perl                    0.928-1
ii  libtest-modern-perl                    0.013-2
ii  libtest-roo-perl                       1.004-1
ii  libtext-csv-perl                       1.33-2
ii  libtry-tiny-perl                       0.28-1
ii  libtype-tiny-perl                      1.000005-1
ii  liburi-namespacemap-perl               1.00-1
ii  liburi-perl                            1.71-1
ii  libwww-perl                            6.15-1
ii  libxml-sax-perl                        0.99+dfsg-2
ii  perl                                   5.24.1-3+deb9u2
ii  perl-base [libscalar-list-utils-perl]  5.24.1-3+deb9u2

libattean-perl recommends no packages.

libattean-perl suggests no packages.

-- no debconf information

Reply via email to